Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235476 - Port setuputil onto Solaris
Summary: Port setuputil onto Solaris
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Install/Uninstall
Version: 1.0.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: FDS1.1.0
TreeView+ depends on / blocked
 
Reported: 2007-04-06 00:54 UTC by Noriko Hosoi
Modified: 2015-12-07 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 16:47:31 UTC


Attachments (Terms of Use)
cvs diffs configure.ac m4/{nspr,nss,mozldap}.m4 (deleted)
2007-04-06 20:21 UTC, Noriko Hosoi
no flags Details | Diff
cvs commit message (deleted)
2007-04-09 22:15 UTC, Noriko Hosoi
no flags Details

Description Noriko Hosoi 2007-04-06 00:54:40 UTC
Description of problem:
This bug is a follow up of "234893: Build SetupUtil with autotools"

Comment 1 Noriko Hosoi 2007-04-06 20:21:13 UTC
Created attachment 151895 [details]
cvs diffs configure.ac m4/{nspr,nss,mozldap}.m4

Files:
  configure.ac
  m4/mozldap.m4
  m4/nspr.m4
  m4/nss.m4

Changes:
1) Solaris and HP-UX needs -DSOLARIS and -DHPUX in the compile option,
respectively
2) pkg-config returns 2 library paths for dirsec-nspr and mozldap6 on Solaris
as follows:
    $ pkg-config --libs-only-L dirsec-nspr
    -L/usr/lib/sparcv9/dirsec -L/usr/lib/sparcv9
    $  pkg-config --libs-only-L mozldap6
    -L/usr/lib/sparcv9/dirsec -L/usr/lib/sparcv9
   sed commands in m4/*.m4 did not support the case.

Comment 2 Nathan Kinder 2007-04-09 22:10:55 UTC
Looks good!

Comment 3 Noriko Hosoi 2007-04-09 22:15:45 UTC
Created attachment 152069 [details]
cvs commit message

Reviewed by Nathan (Thank you!!)

Checked in into HEAD.

Comment 4 Nathan Kinder 2007-12-17 19:08:58 UTC
Setuputil has been ported to Solaris, but we have since replaced it with some
Perl setup modules.  Marking this bug as verified since the porting work is
complete.




Note You need to log in before you can comment on or make changes to this bug.